libgdamm Reference Documentation

Main Page Namespaces Book

# Gnome::Gda::QueryError Class Reference

Inheritance diagram for Gnome::Gda::QueryError:

[legend]
List of all members.

## Public Types

enum | Code { QUERY_XML_LOAD_ERROR, QUERY_META_DATA_UPDATE, QUERY_FIELDS_ERROR, QUERY_TARGETS_ERROR, QUERY_RENDER_ERROR, QUERY_PARSE_ERROR, QUERY_SYNTAX_ERROR, QUERY_STRUCTURE_ERROR, QUERY_SQL_ANALYSE_ERROR, QUERY_NO_CNC_ERROR, QUERY_CNC_CLOSED_ERROR, QUERY_EXEC_ERROR }

## Public Member Functions

Code | code () const
| QueryError (GError* gobject)
| QueryError (Code error_code, const Glib::ustring& error_message)

## Member Enumeration Documentation

enum Gnome::Gda::QueryError::Code

Enumerator:

  QUERY_XML_LOAD_ERROR |
  QUERY_META_DATA_UPDATE |
  QUERY_FIELDS_ERROR |
  QUERY_TARGETS_ERROR |
  QUERY_RENDER_ERROR |
  QUERY_PARSE_ERROR |
  QUERY_SYNTAX_ERROR |
  QUERY_STRUCTURE_ERROR |
  QUERY_SQL_ANALYSE_ERROR |
  QUERY_NO_CNC_ERROR |
  QUERY_CNC_CLOSED_ERROR |
  QUERY_EXEC_ERROR |

## Constructor & Destructor Documentation

Gnome::Gda::QueryError::QueryError | ( | Code | error_code,
|  | const Glib::ustring & | error_message |
| ) |  |  |

Gnome::Gda::QueryError::QueryError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Gnome::Gda::QueryError::code | ( |  | ) | const

Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- query.h